module PNU_SRAM(Din, Addr, RW, clk, rst, Dout);
    parameter RAM_Width = 4;
    parameter Addr_Width = 2;

    input [RAM_Width-1:0] Din;
    input [Addr_Width-1:0] Addr;
    input RW, clk, rst;
    output [RAM_Width-1:0] Dout;

    reg [RAM_Width-1:0] RAM [(2**Addr_Width)-1:0];

    integer i;

    always @(posedge clk or posedge rst)
    begin
        if(rst) begin
            for(i=0; i<(2**Addr_Width); i=i+1) begin
               RAM[i] <= 0;
            end
        end
        else begin
            if(RW)
                RAM[Addr] <= Din;
        end
    end

    assign Dout = RAM[Addr];

endmodule